Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235146 - don't require /etc/mtab
Summary: don't require /etc/mtab
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rhgb
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2007-04-03 23:19 UTC by Jeremy Katz
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-04 15:34:16 UTC


Attachments (Terms of Use)
fix (deleted)
2007-04-03 23:19 UTC, Jeremy Katz
no flags Details | Diff

Description Jeremy Katz 2007-04-03 23:19:18 UTC
Attached should make it so that rhgb doesn't exit if /etc/mtab doesn't exist. 
We should just assume there isn't anything mounted in that case just as if it's
an empty file.

I can't see any real problems with doing this.  The other alternative is to just
touch /etc/mtab in the livecd-creator

Comment 1 Jeremy Katz 2007-04-03 23:19:18 UTC
Created attachment 151632 [details]
fix

Comment 2 Ray Strode [halfline] 2007-04-04 15:34:16 UTC
should be fixed in rhgb-0.17.5-1.fc7


Note You need to log in before you can comment on or make changes to this bug.